Get a hub subscription
curl --request GET \
--url https://br-consignado-gw.sandbox.lerian.net/v1/subscriptions/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://br-consignado-gw.sandbox.lerian.net/v1/subscriptions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://br-consignado-gw.sandbox.lerian.net/v1/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://br-consignado-gw.sandbox.lerian.net/v1/subscriptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"subscription": {
"created_at": "2026-01-15T12:00:00Z",
"enabled": true,
"endpoint": "https://hooks.example.com/ingest",
"id": "0192f1a0-0000-7000-8000-00000000c001",
"name": "orders-webhook",
"plan_tier": "standard",
"signature_version": 1,
"sink_kind": "webhook",
"updated_at": "2026-01-15T12:00:00Z",
"verification_state": "active",
"delegated_scope": "Rk9ORE8tQQ==",
"event_types": [
"<string>"
],
"schema_major": 2
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Get a hub subscription
Returns a single tenant subscription. NEVER returns the signing secret (only create/rotate reveal it, once).
GET
/
v1
/
subscriptions
/
{id}
Get a hub subscription
curl --request GET \
--url https://br-consignado-gw.sandbox.lerian.net/v1/subscriptions/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://br-consignado-gw.sandbox.lerian.net/v1/subscriptions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://br-consignado-gw.sandbox.lerian.net/v1/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://br-consignado-gw.sandbox.lerian.net/v1/subscriptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"subscription": {
"created_at": "2026-01-15T12:00:00Z",
"enabled": true,
"endpoint": "https://hooks.example.com/ingest",
"id": "0192f1a0-0000-7000-8000-00000000c001",
"name": "orders-webhook",
"plan_tier": "standard",
"signature_version": 1,
"sink_kind": "webhook",
"updated_at": "2026-01-15T12:00:00Z",
"verification_state": "active",
"delegated_scope": "Rk9ORE8tQQ==",
"event_types": [
"<string>"
],
"schema_major": 2
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Was this page helpful?

